org.eclipse.microprofile.rest.client.tck

## Class DefaultExceptionMapperTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest
    - - org.eclipse.microprofile.rest.client.tck.DefaultExceptionMapperTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class DefaultExceptionMapperTest
    extends WiremockArquillianTest

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`DefaultExceptionMapperTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive<?>` `createDeployment()`
`void` `resetHandlers()`
`void` `testExceptionThrownWhenPropertySetToFalse()`
`void` `testLowerPriorityMapperTakesPrecedenceFromDefault()`
`void` `testNoExceptionThrownWhenDisabledDuringBuild()`
`void` `testPropagationOfResponseDetailsFromDefaultMapper()`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest

`getPort, getServerURI, getServerURL, getStringURL, setupServer`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultExceptionMapperTest

    public DefaultExceptionMapperTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive<?> createDeployment()

#### resetHandlers

    public void resetHandlers()

#### testNoExceptionThrownWhenDisabledDuringBuild

    public void testNoExceptionThrownWhenDisabledDuringBuild()
                                                      throws Exception

Throws:
  `Exception`

#### testPropagationOfResponseDetailsFromDefaultMapper

    public void testPropagationOfResponseDetailsFromDefaultMapper()
                                                           throws Exception

Throws:
  `Exception`

#### testExceptionThrownWhenPropertySetToFalse

    public void testExceptionThrownWhenPropertySetToFalse()
                                                   throws Exception

Throws:
  `Exception`

#### testLowerPriorityMapperTakesPrecedenceFromDefault

    public void testLowerPriorityMapperTakesPrecedenceFromDefault()
                                                           throws Exception

Throws:
  `Exception`